Package net.shibboleth.idp.session

# Enum Class AbstractIdPSession.AddressFamily

java.lang.Object
java.lang.Enum<AbstractIdPSession.AddressFamily>
net.shibboleth.idp.session.AbstractIdPSession.AddressFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractIdPSession.AddressFamily>`, `Constable`

Enclosing class:
  AbstractIdPSession

public static enum AbstractIdPSession.AddressFamily extends Enum<AbstractIdPSession.AddressFamily>
Address syntaxes supported for address binding.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IPV4`
IP version 4 (dotted decimal).
`IPV6`
IP version 6 (colon-sep hex).
`UNKNOWN`
Unknown.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AddressFamily()`

## Method Summary

Modifier and Type
Method
Description
`static AbstractIdPSession.AddressFamily`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractIdPSession.AddressFamily[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IPV4

public static final AbstractIdPSession.AddressFamily IPV4
IP version 4 (dotted decimal).

### IPV6

public static final AbstractIdPSession.AddressFamily IPV6
IP version 6 (colon-sep hex).

### UNKNOWN

public static final AbstractIdPSession.AddressFamily UNKNOWN
Unknown.

## Constructor Details

### AddressFamily

private AddressFamily()

## Method Details

### values

public static AbstractIdPSession.AddressFamily[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractIdPSession.AddressFamily valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null